<ion-header *ngIf="user" [ngStyle]="{'background-image': 'url(' + user.user_cover + ')'}">
  <ion-toolbar>
    <ion-buttons slot="end" (click)="go()">
      <ion-button>
        <ion-icon name="cog"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-avatar class="avatar">
    <img *ngIf='user' src="{{user.user_avatar}}">
  </ion-avatar>
</ion-header>

<ion-content  [fullscreen]="true">
  <div class="userName">
    <h1 *ngIf='user'>{{user.user_name}}</h1>
  </div>

  <ion-row *ngIf="logado" class="ion-justify-content-center">
    <ion-button *ngIf="logado.user.id==id" color="roxinho" (click)="go2()">Lista de amigos</ion-button>
    <app-follow [id]="id" *ngIf="logado.user.id!=id"></app-follow>
  </ion-row>

  <ion-grid class="user-info">
    <ion-row class="ion-align-items-center">
      <ion-col size="4" class="score">
        <ion-buttons>
          <ion-button>
            <ion-icon color="success" name="star"></ion-icon>
          </ion-button>
        </ion-buttons>

        <ion-text color="success">
          <h2>32</h2>
        </ion-text>
      </ion-col>

      <ion-col size="4" class="lastFilm">
        <img class="filmImg" src="../../assets/photos/the-purge-poster.jpg" alt="movie">
        <h1 class="filmText">Última atividade</h1>
      </ion-col>

      <ion-col size="4" class="review">
        <ion-buttons>
          <ion-button>
            <ion-icon color="primary" name="newspaper"></ion-icon>
          </ion-button>
        </ion-buttons>

        <ion-text color="primary">
          <h2>32</h2>
        </ion-text>
      </ion-col>
    </ion-row>
  </ion-grid>

  <div *ngIf="userReviews" class="partition"></div>

  <h1 class="ion-margin" *ngIf="userReviews">Última Atividade</h1>
  <div *ngIf="userReviews" class="userActivity">
    <ion-avatar class="userAvatar">
      <img src="{{userReviews.user.user_avatar}}">
    </ion-avatar>

    <p>adicionou um novo review</p>

  </div>

  <div class="textStar" *ngIf="userReviews">

    <img class="filmActivity" src="{{userReviews.film.film_cover}}" alt="">

    <div class="alinharTexto">
      <div class="alinharStar">
        <ion-icon color="success" name="star"></ion-icon>
        <ion-text color="success"><h2>{{userReviews.film_rating}}</h2></ion-text>
      </div>
      <h1>{{userReviews.text}}</h1>
    </div>
  </div>
</ion-content>
